
function SudokuPlotter(Puzzle,Puz_Possibilities)
close all
x=0:9;
y=0:9;

figure()
plot(3*ones(1,length(x)),y,'k','LineWidth',4)
hold on
plot(6*ones(1,length(x)),y,'k','LineWidth',4)
plot(x,3*ones(1,length(x)),'k','LineWidth',4)
plot(x,6*ones(1,length(x)),'k','LineWidth',4)

plot(1*ones(1,length(x)),y,'k','LineWidth',2)
plot(2*ones(1,length(x)),y,'k','LineWidth',2)
plot(4*ones(1,length(x)),y,'k','LineWidth',2)
plot(5*ones(1,length(x)),y,'k','LineWidth',2)
plot(7*ones(1,length(x)),y,'k','LineWidth',2)
plot(8*ones(1,length(x)),y,'k','LineWidth',2)

plot(y,1*ones(1,length(x)),'k','LineWidth',2)
plot(y,2*ones(1,length(x)),'k','LineWidth',2)
plot(y,4*ones(1,length(x)),'k','LineWidth',2)
plot(y,5*ones(1,length(x)),'k','LineWidth',2)
plot(y,7*ones(1,length(x)),'k','LineWidth',2)
plot(y,8*ones(1,length(x)),'k','LineWidth',2)
hold off
xlim([0 9])
ylim([0 9])
set(gca,'XTickLabel','','YTickLabel','')

x=.5:8.5;x=reshape(meshgrid(x),[1 81]);
y=fliplr(.5:8.5);y=[y y y y y y y y y];
insidex=[-.33,-.18,-.02,.14,.3,-.33,-.18,-.02,.14];
insidey=[.25,.25,.25,.26,.25,-.25,-.25,-.25,-.25];

    for k=1:81
        if Puzzle(k)~=0
    text(x(k),y(k),num2str(Puzzle(k)),'FontSize',40,'VerticalAlignment','middle','HorizontalAlignment','center','Color','b')
        end
        
        vec=find(Puz_Possibilities{k}); cntr=1;
        for l=1:9        
            if Puz_Possibilities{k}(l)~=0  
             text(x(k)+insidex(l),y(k)+insidey(l),num2str(vec(cntr)),'FontSize',15,'VerticalAlignment','middle','HorizontalAlignment','center','Color','r')
             cntr=cntr+1;
            end
        end
    end
    
    
    
    
end