

function Puzzle=SinglePos(Puzzle,Puz_Possibilities,Blank_Mat)
global CONSTANTS
%determine if a possibility is unique to its own BOX.
%if so, place that number in that place
for i=1:9   %step through each box
    treat=[];array=zeros(1,9);index=[];
    sq=CONSTANTS.sqr{i};

        for j=1:9       %determine which cells in the box to look at
            if ~isempty(Puz_Possibilities{sq(j)})
                treat(end+1)=sq(j);
            end
        end
                        %look at those cells and add up the arrays
        for k=1:length(treat)
            array=Puz_Possibilities{treat(k)}+array;
        end
        winner=find(array==1);      %see if there is a winner with only 1 number in a clmn
        
        
        if ~isempty(winner) %if winner exists,
            for l=1:length(winner)
                for k=1:length(treat)
                    if Puz_Possibilities{treat(k)}(1,winner(l))==1
                        index=treat(k);
                    end
                end
            disp(['BOX: cell ',num2str(index),' should be ',num2str(winner(l))])
            Puzzle(index)=winner(l);
            end
        end
        


end


%determine if a possibility is unique to its own ROW.
%if so, place that number in that place
for i=1:9   %step through each row
    treat=[];array=zeros(1,9);index=[];

        for j=1:9       %determine which cells in the box to look at
            if ~isempty(Puz_Possibilities{i,j})
                treat(end+1)=j;
            end
        end
                        %look at those cells and add up the arrays
        for k=1:length(treat)
            array=Puz_Possibilities{i,treat(k)}+array;
        end
        winner=find(array==1);      %see if there is a winner with only 1 number in a clmn
        
        
        if ~isempty(winner) %if winner exists, 
            for l=1:length(winner)
                for k=1:length(treat)
                    if Puz_Possibilities{i,treat(k)}(1,winner(l))==1
                        index=treat(k);
                    end
                end
                disp(['ROW: cell ',num2str(i),'x',num2str(index),' should be ',num2str(winner(l))])
                Puzzle(i,index)=winner(l);
            end
        end
        


end


%determine if a possibility is unique to its own CLMN.
%if so, place that number in that place
for i=1:9   %step through each clmn
    treat=[];array=zeros(1,9);index=[];

        for j=1:9       %determine which cells in the box to look at
            if ~isempty(Puz_Possibilities{j,i})
                treat(end+1)=j;
            end
        end
                        %look at those cells and add up the arrays
        for k=1:length(treat)
            array=Puz_Possibilities{treat(k),i}+array;
        end
        winner=find(array==1);      %see if there is a winner with only 1 number in a clmn
        

        if ~isempty(winner) %if winner exists, 
            for l=1:length(winner)
                for k=1:length(treat)
                    if Puz_Possibilities{treat(k),i}(1,winner(l))==1
                        index=treat(k);
                    end
                end
                disp(['CLMN: cell ',num2str(index),'x',num2str(i),' should be ',num2str(winner(l))])
                Puzzle(index,i)=winner(l);
            end
        end
        


end

end